#import "SCLiMovieFCPFixer.h"

@implementation SCLiMovieFCPFixer

-(void)windowWillClose:(NSNotification *)notification
{
	[NSApp terminate:self];
}

-(void)awakeFromNib
{
	if ([[NSFileManager defaultManager] fileExistsAtPath:@"/Library/QuickTime/DesktopVideoOut.component"]==YES) {
			[currentSetting setStringValue:@"This computer is currently set to Final Cut Pro"];
			[switchButton setTitle:@"Switch to iMovie"];
	} else {
			[currentSetting setStringValue:@"This computer is currently set to iMovie"];
			[switchButton setTitle:@"Switch to FCP"];
	}
}

- (IBAction)close:(id)sender
{
	[NSApp terminate:self];
}

- (IBAction)switchMe:(id)sender
{
	int buttonReturned = NSRunAlertPanel(@"Are you sure?",@"This computer must restart for this to take effect.", @"OK", @"Cancel",NULL);
	if (buttonReturned == 1) {
		system ("/usr/local/bin/swap_fcp_imovie_files");
		[switchButton setEnabled:NO];
		[switchButton setTitle:@"Restarting..."];
	    NSDictionary *scriptErr = nil;
		NSAppleScript *theScript = [[NSAppleScript alloc] initWithSource:[NSString stringWithFormat:@"try\ndo shell script \"touch /tmp/logoutNow\"\nend try\ntry\nignoring application responses\ntell application \"loginwindow\" to event aevtrest\nend ignoring\nend try"]];
		[theScript executeAndReturnError:&scriptErr];
		[theScript release];
	} else {
		[NSApp terminate:self];
	}
}

@end
